X2Go Bug report logs - #476
User1 can use X session from other users

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: thegala@openmailbox.org

Date: Fri, 11 Apr 2014 18:40:01 UTC

Severity: normal

Tags: moreinfo, wontfix

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#476; Package <x2goserver>. (Fri, 11 Apr 2014 18:40:01 GMT) (full text, mbox, link).


Acknowledgement sent to thegala@openmailbox.org:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>.

Your message had a Version: pseudo-header with an invalid package version:

<4.0.1.15>

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Fri, 11 Apr 2014 18:40:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: thegala@openmailbox.org
To: submit@bugs.x2go.org
Subject: User1 can use X session from other users
Date: Fri, 11 Apr 2014 18:27:25 +0000
Package: <x2goserver>
Version: <4.0.1.15>

When I have X session already started on my server with user1 I can use 
it`s session from remote computer with user2 login.


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#476; Package <x2goserver>. (Tue, 06 May 2014 10:05:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 06 May 2014 10:05:01 GMT) (full text, mbox, link).


Message #10 received at 476@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: thegala@openmailbox.org
Cc: 476@bugs.x2go.org
Subject: Known issue if the distro is too sloppy with xhost command
Date: Tue, 06 May 2014 10:02:40 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 moreinfo
Control: tag -1 wontfix

Hi,

thanks for reporting a bug to the X2Go bugtracker. Sorry for the delay  
in reply.

I presume that you use a distribution like Linux Mint or other that  
tends to be a little sloppy with the X11 security settings (by running  
the xhost + command).

For further reference, please see [1].

If you feel that your X11 security is intact and you still observe the  
reported issue, please get back to this bug and give more information  
on your setup.

Thanks+Greets,
Mike

[1] http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=287


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 476-submit@bugs.x2go.org. (Tue, 06 May 2014 10:05:01 GMT) (full text, mbox, link).


Added tag(s) wontfix. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 476-submit@bugs.x2go.org. (Tue, 06 May 2014 10:05:01 GMT) (full text, mbox, link).


Bug reassigned from package '&lt;x2goserver&gt;' to 'x2goserver'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 06 May 2014 10:05:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#476; Package x2goserver. (Wed, 20 Aug 2014 08:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 20 Aug 2014 08:25:02 GMT) (full text, mbox, link).


Message #21 received at 476@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 476@bugs.x2go.org
Cc: 476-submitter@bugs.x2go.org
Subject: closing due to lack of feedback
Date: Wed, 20 Aug 2014 08:21:57 +0000
[Message part 1 (text/plain, inline)]
Control: close -1

Hi,

due to lack of feedback, I close this bug.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 476-submit@bugs.x2go.org. (Wed, 20 Aug 2014 08:25:02 GMT) (full text, mbox, link).


Notification sent to thegala@openmailbox.org:
Bug acknowledged by developer. (Wed, 20 Aug 2014 08:25:02 GMT) (full text, mbox, link).


Message sent on to thegala@openmailbox.org:
Bug#476. (Wed, 20 Aug 2014 08:25:03 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 18 Sep 2014 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Dec 14 19:41:48 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.